Bug 77679 - [ACCESSIBILITY] Accessibility support for replaced objects is incomplete
Summary: [ACCESSIBILITY] Accessibility support for replaced objects is incomplete
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: accessibility
Depends on: 35107
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2014-04-19 20:53 UTC by Joanmarie Diggs
Modified: 2017-05-30 16:35 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
accessible-event listener (524 bytes, text/plain)
2014-04-19 20:53 UTC, Joanmarie Diggs
Details
Writer test case (11.39 KB, application/vnd.oasis.opendocument.text)
2014-04-19 20:55 UTC, Joanmarie Diggs
Details
Equivalent html test case (190 bytes, text/html)
2014-04-19 20:56 UTC, Joanmarie Diggs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs 2014-04-19 20:53:45 UTC
Created attachment 97622 [details]
accessible-event listener

Steps to reproduce:
1. Launch the accessible-event listener in a terminal
2. Open the attached test case
3. Click once or arrow in the document text

Expected results: The objects embedded in the paragraph would be listed in the terminal.

Actual results: The objects embedded in the paragraph are not listed.
Comment 1 Joanmarie Diggs 2014-04-19 20:55:04 UTC
Created attachment 97623 [details]
Writer test case

Results from listener:

[paragraph | ] has 0 hyperlinks
Comment 2 Joanmarie Diggs 2014-04-19 20:56:38 UTC
Created attachment 97624 [details]
Equivalent html test case

Results when performing the same test using Epiphany and Firefox -- having first enabled caret-navigation by pressing F7:

Epiphany:

[paragraph | ] has 2 hyperlinks
	0. (chars: 10 - 11) [image | Foo!]
	1. (chars: 26 - 28) [entry | foo]

---------

Firefox:

[paragraph | ] has 2 hyperlinks
	0. (chars: 10 - 11) [text | Foo!]
	1. (chars: 26 - 27) [entry | ]
Comment 3 Joanmarie Diggs 2014-04-19 21:01:12 UTC
Lastly, please note that this also applies to comments -- at least. Or to put it a different way: Whenever there is a replaced object character in the text, the object it "replaces" should be obtainable reliably via AtkHypertext and AtkHyperlinImpl.
Comment 4 Joel Madero 2014-05-19 15:19:41 UTC
Qubit - thoughts on this one? You're mot up to speed on Accessibility issues than I am. Thanks!
Comment 5 Jacobo Aragunde Pérez 2014-07-10 12:24:09 UTC
The implementation of hyperlinks in LibreOffice is not complete, according to bug #35107 and it would still require some work.

As for comments, the use of AtkHyperlink would match its documentation and the fix should be easier because comments are already accessible objects.
Comment 6 Robinson Tryon (qubit) 2015-01-11 21:48:32 UTC
TESTING on Ubuntu 14.04 + LO 4.4.0.2

(In reply to Joanmarie Diggs from comment #0)
> Steps to reproduce:
> 1. Launch the accessible-event listener in a terminal
> 2. Open the attached test case (attachment 97623 [details])
> 3. Click once or arrow in the document text
> 
> Expected results: The objects embedded in the paragraph would be listed in
> the terminal.
> 
> Actual results: The objects embedded in the paragraph are not listed.

(In reply to Joanmarie Diggs from comment #1)
> Results from listener:
> 
> [paragraph | ] has 0 hyperlinks

CONFIRMED -- the listener showed that LibreOffice was not providing information about any hyperlinks in the document.

Status -> NEW
Comment 7 Robinson Tryon (qubit) 2015-12-10 03:37:40 UTC
Migrating Whiteboard tags to Keywords: (a11y -> accessibility)
Comment 8 QA Administrators 2017-05-22 13:24:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522
Comment 9 Alex ARNAUD 2017-05-30 16:35:31 UTC
Dear all,

The issue is still present on LibreOfficeDev 5.5 from 2017-05-30.

Best regards.